pipeline {
    agent any
    stages {
        stage('Build') {
            steps {
                echo 'Hello World'
                git branch: 'main', url: 'https://gitlab.com/wouter.vanaeken/lechat.git'
                // bat './mvnw clean compile'
                echo 'Git done'
                withMaven(
                    maven: 'Maven'
                ) {
                    sh 'mvn clean compile'
                }
            }
        }

        // stage('Test') {
        //     steps {
        //         bat './mvnw test'
        //     }
        // }
        // stage('Publish') {
        //     steps {
        //         bat './mvnw package'
        //     }
        //     post {
        //         succes {
        //             archiveArtifacts 'target/*.jar'
        //         }
        //     }
        // }

        stage('Test') {
            steps {
                withMaven(
                    maven: 'Maven'
                ) {
                    sh 'mvn test'
                }
            }
        }
        stage('Publish') {
            steps {
                withMaven(
                    maven: 'Maven'
                ) {
                    sh 'mvn package'
                }
            }
        }

    }
}